public class Robot {

    private Vector2D pos;
    private Vector2D vel;
    private MyWorld world;


    // Constructor overload
    public Robot() {
        this(new Vector2D(), new Vector2D());
    }

    public Robot(Vector2D position, Vector2D velocity) {
        this.pos = position;
        this.vel = velocity;
    }


    public Vector2D getPosition() {
        return this.pos;
    }

    public Vector2D getVelocity() {
        return this.vel;
    }

    public void turnLeft() {
        this.vel = this.vel.rotate(90);
    }

    public void turnRight() {
        this.vel = this.vel.rotate(-90);
    }

    public void moveDelta_t(double delta_t) {
        this.pos = this.pos.plus(this.vel.times(delta_t));
    }

    public String getDescription() {
        return pos.getDescription();
    }

    public String toString() {
        return pos.toString();
    }
}